Bug 18320 - Installation fails to format HD's and exits
Installation fails to format HD's and exits
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-10-04 07:49 EDT by Chris Chabot
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-07 14:48:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Chabot 2000-10-04 07:49:09 EDT
While attemtping to install rh7 on several systems, i ran into this problem
on just about -all- computers.
The install follows along nicely upto the point where it 'starts to
It comes to the part where it will attempt to format the partitions,
returns from format instantly (ie nothing has happend), and breaks on the
python GetFreeSpace for the / partition..

When droping to the sh shell (ctrl-alt-f2) trying to format the partitions
before the install breaks, i noticed there are no /dev entries for my HD

I can 'force' the install to work by:
	cd /dev
	mknod hda
	mknod hda1 
	... repeat for each partition ..
	mkfs.ext2 /dev/hda1
	.. repeat again.. 
	mkswap /dev/hda2 (my swap partition)

and then continuing the install, which at that point works
Ive had this problem on
	- a laptop with IDE
	- a workstation with scsi
	- a server with scsi + ide
so it feels its safe to say it happens in every situation for me
Comment 1 Michael Fulbright 2000-10-04 11:36:01 EDT
A traceback from when it does fail would help alot.

Also details on a sample scenario where it breaks will help us reproduce it
here, otherwise I don't think we'll be able to look into this issue.
Comment 2 Michael Fulbright 2000-11-07 14:48:33 EST
Please reopen this report if you continue to have problems.

Note You need to log in before you can comment on or make changes to this bug.